https://your-domain.atlassian.net/rest/api/3/universal_avatar/view/type/{type}/owner/{entityId}Returns the avatar image for a project or issue type. This operation can be accessed anonymously. **Permissions required:** * For system avatars, none. * For custom project avatars, *Browse projects* project permission for the project the avatar belongs to. * For custom issue type avatars, *Browse projects* project permission for at least one project the issue type is used in.
The icon type of the avatar.
The ID of the project or issue type the avatar belongs to.
The size of the avatar image. If not provided the default size is returned.
The format to return the avatar image in. If not provided the original content format is returned.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/universal_avatar/view/type/{type}/owner/{entityId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/universal_avatar/view/type/{type}/owner/{entityId}Returns the avatar image for a project or issue type. This operation can be accessed anonymously. **Permissions required:** * For system avatars, none. * For custom project avatars, *Browse projects* project permission for the project the avatar belongs to. * For custom issue type avatars, *Browse projects* project permission for at least one project the issue type is used in.
The icon type of the avatar.
The ID of the project or issue type the avatar belongs to.
The size of the avatar image. If not provided the default size is returned.
The format to return the avatar image in. If not provided the original content format is returned.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/universal_avatar/view/type/{type}/owner/{entityId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}